Name:           mylvmbackup
Version:        0.16
Release:        7%{?dist}
Summary:        Utility for creating MySQL backups via LVM snapshots
License:        GPLv2+
URL:            http://www.lenzg.net/mylvmbackup/
Source0:        http://www.lenzg.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl-podlators
BuildRequires:  perl(Config::IniFiles)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(diagnostics)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(MIME::Lite)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Sys::Syslog)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
mylvmbackup is a tool for quickly creating full physical backups of a MySQL 
server's data files. To perform a backup, mylvmbackup obtains a read lock on 
all tables and flushes all server caches to disk, makes an LVM snapshot of 
the volume containing the MySQL data directory, and unlocks the tables again. 
The snapshot process takes only a small amount of time. When it is done, the 
server can continue normal operations, while the actual file backup proceeds.

%prep
%setup -q

%install
%make_install prefix=%{_prefix}
rm -frv %{buildroot}%{_datadir}/%{name}/*

%check
make syntaxcheck

%files
%doc ChangeLog CREDITS README TODO
%license COPYING
%doc hooks/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.16-5
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.16-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 Christopher Meng <rpm@cicku.me> - 0.16-1
- Update to 0.16

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-3
- Perl 5.20 rebuild

* Mon Jul 14 2014 Christopher Meng <rpm@cicku.me> - 0.15-2
- Add missing BRs
- Fix the license
- Add test to ensure the usability

* Sun Mar 16 2014 Christopher Meng <rpm@cicku.me> - 0.15-1
- Update to 0.15

* Tue Jun 25 2013 Christopher Meng <rpm@cicku.me> - 0.14-1
- Initial Package.
